function [delka_zaznamu,Prumerna_vychylka_x_abs ,Prumerna_vychylka_y_abs,Prumerna_vychylka_cop_abs,delka_pohybu_cop ,avg_rychlost_CoP,delka_hl_osy , delka_vedl_osy,obsah,RMS ] = data_wii (b)
%b=xlsread('s3.xlsx',7 );
delka=length(b);
x=b';
velikost_os_v_grafu=30; 
g=velikost_os_v_grafu;
z=1;    % zvětšení 
close all;clc;
delka_zaznamu=40;
fvz=delka/delka_zaznamu;
    for j=1:delka
        osa_y(j) = b(j,2);
        osa_x (j)= b(j,1);
        B(j,1)=osa_x(j);
        B(j,2)=osa_y(j);
    end


prum_x = mean(osa_x);             % pruměrná nulová výchylka na X
prum_y = mean(osa_y);             % pruměrná nulová výchylka na Y
stred  = [prum_x,prum_y]          % stred v matici
nulova_vychylka_x = (osa_x - prum_x);      
nulova_vychylka_y = (osa_y - prum_y);

% Výchylka CoP
vychylka_cop = sqrt ((nulova_vychylka_x).^2 + (nulova_vychylka_y).^2);  
%RMS 
RMS=sqrt((1/delka)*sum((vychylka_cop.^2))); 
% číselná hodnota pruměrné výchylky která je v absolutní hodnotě 
Prumerna_vychylka_x_abs    = mean (abs(nulova_vychylka_x) )      % v mm 
Prumerna_vychylka_y_abs    = mean (abs(nulova_vychylka_y) )
Prumerna_vychylka_cop_abs  = mean (abs(vychylka_cop))

krok=delka_zaznamu/delka;
t=0.00000001:krok:delka_zaznamu;
  
%%délka pohybu CoP
dlk=0;
osa_yy=medfilt1(osa_y,19);  % mediánový filtr s délkou okna 19
osa_xx=medfilt1(osa_x,19);

    for i=1:delka-1
           cv = sqrt((osa_xx(1,i)- osa_xx(1,i+1))^2 + (osa_yy(1,i)- osa_yy(1,i+1))^2);    % Výpočet vzdálenosti jednotlivých prvků
           rychlost(i)=cv;
           dlk=dlk+cv;                                                                    % Součet všech vzdáleností
    end
    avg_rychlost_CoP=mean(rychlost)*fvz   % průměrná rychlost COP mm
   delka_pohybu_cop=dlk
   %% Výpočet komf elipsy 95%
y1=osa_x';
y2=osa_y';
data = [y1 y2];
kovariance = cov(data);
[vlastni_vektor, vlastni_cislo ] = eig(kovariance);

[nejvetsi_vlast_vekt_radek, s] = find(vlastni_cislo == max(max(vlastni_cislo)));  
nejvetsi_vlast_vek = vlastni_vektor(:, nejvetsi_vlast_vekt_radek);

nejvetsi_vlast_cislo = max(max(vlastni_cislo));
    if(nejvetsi_vlast_vekt_radek == 1)
      nejmensi_vlast_cislo = max(vlastni_cislo(:,2));
      nejmensi_vlast_vekt = vlastni_vektor(:,2);
    else
      nejmensi_vlast_cislo = max(vlastni_cislo(:,1));
      nejmensi_vlast_vekt = vlastni_vektor(1,:);
    end

uhel = atan2(nejvetsi_vlast_vek(2), nejvetsi_vlast_vek(1));  %Vypočte úhel mezi osou X a nejvetsim vlastním vektorem
    if(uhel < 0)
      uhel = uhel + 2*pi;    %posune sinusovku z (-pi až pi) do (0 až 2 pi)
    end
prumer = mean(data);
chi_kvadrat = 2.4477;             
sinusovka = linspace(0,2*pi);
X0=prumer(1);              % střed elipsy
Y0=prumer(2);              % střed elipsy
a=chi_kvadrat*sqrt(nejvetsi_vlast_cislo);
c=chi_kvadrat*sqrt(nejmensi_vlast_cislo);
elipsa_x  = a*cos( sinusovka );
elipsa_y  = c*sin( sinusovka );
R = [ cos(uhel) sin(uhel); -sin(uhel) cos(uhel) ];  % Definuje správné natočení elipsy
elipsa = [elipsa_x;elipsa_y]' * R;


%vypočet poloos
delka_hl_osy = 2 * a
delka_vedl_osy =  2 * c
 obsah = pi * (delka_hl_osy/2) * (delka_vedl_osy/2)
    if  delka_hl_osy > delka_vedl_osy   
               delka_hl_osy = delka_hl_osy;
               delka_vedl_osy = delka_vedl_osy;
    else
               delka_hl_osy = delka_vedl_osy;
               delka_vedl_osy = delka_hl_osy;
    end
           
%% Grafy
% figure                          % nastavit střed na nulu 
% plot(t,nulova_vychylka_x )
% axis([0 40 -g g])
% title('Pohyb CoP v ose x v závislosti na čase') 
%    xlabel('t')
%    ylabel('vychylka osy x [mm]')  
% figure
% plot(t,nulova_vychylka_y )  
% axis([0 40 -g g])
% title('Pohyb CoP v ose y v závislosti na čase') 
%    xlabel('t')
%    ylabel('vychylka osy y [mm]')  
%    
%    figure
% plot(t,vychylka_cop )  
% axis([0 40 0 g])
% title('Pohyb CoP v závislosti na čase') 
%    xlabel('t')
%    ylabel('vychylka CoP [mm]')  
%  figure 
% plot(nulova_vychylka_x(1,:) , nulova_vychylka_y(1,:))
% axis([-g g -g g])
% title('Statokinesigram') 
%    xlabel('osa X [mm]')
%    ylabel('osa Y [mm]' )
%    figure
%  plot(elipsa(:,1) + X0,elipsa(:,2) + Y0,'-')
% hold on;
%  plot(data(:,1), data(:,2), '.');
% axis equal


end